# Package org.codehaus.plexus.metadata.gleaner

Interface Summary
Interface | Description
--- | ---
ClassComponentGleaner | Interface for component gleaners which glean off of compiled classes..
SourceComponentGleaner | Interface for component gleaners which glean off of source code.

Class Summary
Class | Description
--- | ---
AnnotationComponentGleaner | A class component gleaner which inspects each type for `org.codehaus.plexus.component.annotations.*` annotations and when found translates them into a `ComponentDescriptor`.
ComponentGleanerSupport | Support for component gleaner implementations.
QDoxComponentGleaner | A source component gleaner which uses QDox to discover Javadoc annotations.

Exception Summary
Exception | Description
--- | ---
ComponentGleanerException |